/*
 * Class ARRAY [REAL_64]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_1691 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_1691 [] = {0xFF01,1551,1690,863,0xFFFF};
static const EIF_TYPE_INDEX egt_2_1691 [] = {0xFF01,1690,863,0xFFFF};
static const EIF_TYPE_INDEX egt_3_1691 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_1691 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_1691 [] = {0xFF01,1690,863,0xFFFF};
static const EIF_TYPE_INDEX egt_6_1691 [] = {0xFF01,1690,863,0xFFFF};
static const EIF_TYPE_INDEX egt_7_1691 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_1691 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_1691 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_1691 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_1691 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_1691 [] = {1690,863,0xFFFF};
static const EIF_TYPE_INDEX egt_13_1691 [] = {0xFF01,1690,863,0xFFFF};
static const EIF_TYPE_INDEX egt_14_1691 [] = {0xFF01,1691,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_1691 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_1691 [] = {0xFF01,1686,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_1691 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_18_1691 [] = {0xFF01,1685,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_19_1691 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_20_1691 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_21_1691 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_22_1691 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_23_1691 [] = {0xFF01,0,0xFFFF};
static const EIF_TYPE_INDEX egt_24_1691 [] = {0xFF01,1713,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_25_1691 [] = {0xFF01,1685,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_26_1691 [] = {0xFF01,1690,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_27_1691 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_28_1691 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_29_1691 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_30_1691 [] = {0xFF01,580,0xFFFF};


static const struct desc_info desc_1691[] = {
	{EIF_GENERIC(NULL), 11312, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_1691), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_1691), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 11269, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_1691), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11307, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_1691), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_1691), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_1691), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_1691), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_1691), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_1691), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_1691), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_1691), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_1691), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_1691), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_1691), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 11262, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9207, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8613, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8614, 4},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8615, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8616, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8617, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_1691), 11306, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_1691), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9406, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9407, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9402, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9404, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11297, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11301, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 11275, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 11276, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9018, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9059, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11310, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9019, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11309, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9020, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11290, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_1691), 11012, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_1691), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_1691), 10439, 0},
	{EIF_GENERIC(NULL), 10432, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 10433, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_1691), 11259, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_1691), 11260, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 11274, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11279, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 10438, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_1691), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11253, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11254, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11255, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11256, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11257, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11258, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_1691), 11261, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 11263, 8},
	{EIF_NON_GENERIC(0x06CB /*869*/), 11264, 12},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 11270, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 11271, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 11273, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 11278, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11280, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11281, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11282, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11283, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11284, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11285, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 11286, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 11287, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11288, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11289, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11291, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11292, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11293, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11294, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11295, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11296, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11298, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11299, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11300, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11302, 0xFFFFFFFF},
	{EIF_GENERIC(egt_23_1691), 11303, 0xFFFFFFFF},
	{EIF_GENERIC(egt_24_1691), 11304, 0xFFFFFFFF},
	{EIF_GENERIC(egt_25_1691), 11305, 0xFFFFFFFF},
	{EIF_GENERIC(egt_26_1691), 11308, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 11311, 0xFFFFFFFF},
	{EIF_GENERIC(egt_27_1691), 11259, 0xFFFFFFFF},
	{EIF_GENERIC(egt_28_1691), 11260, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 11274, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11279, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11279, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_29_1691), 11259, 0xFFFFFFFF},
	{EIF_GENERIC(egt_30_1691), 11268, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 11274, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 11265, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 11266, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 11277, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 11267, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 11272, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
};
void Init1691(void)
{
	IDSC(desc_1691, 0, 1690);
	IDSC(desc_1691 + 1, 1, 1690);
	IDSC(desc_1691 + 32, 1134, 1690);
	IDSC(desc_1691 + 41, 586, 1690);
	IDSC(desc_1691 + 47, 1135, 1690);
	IDSC(desc_1691 + 56, 1088, 1690);
	IDSC(desc_1691 + 58, 1422, 1690);
	IDSC(desc_1691 + 67, 4, 1690);
	IDSC(desc_1691 + 105, 916, 1690);
	IDSC(desc_1691 + 111, 1570, 1690);
	IDSC(desc_1691 + 114, 554, 1690);
	IDSC(desc_1691 + 115, 1395, 1690);
	IDSC(desc_1691 + 117, 778, 1690);
	IDSC(desc_1691 + 118, 878, 1690);
	IDSC(desc_1691 + 119, 794, 1690);
}


#ifdef __cplusplus
}
#endif
